import request from '@/utils/request'

// 查询数据下载列表
export function listDataDown(query) {
  return request({
    url: '/manage/dataDown/list',
    method: 'get',
    params: query
  })
}

// 查询数据下载详细
export function getDataDown(id) {
  return request({
    url: '/manage/dataDown/' + id,
    method: 'get'
  })
}

// 新增数据下载
export function addDataDown(data) {
  return request({
    url: '/manage/dataDown',
    method: 'post',
    data: data
  })
}

// 修改数据下载
export function updateDataDown(data) {
  return request({
    url: '/manage/dataDown',
    method: 'put',
    data: data
  })
}

// 删除数据下载
export function delDataDown(id) {
  return request({
    url: '/manage/dataDown/' + id,
    method: 'delete'
  })
}
